Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.span
Class InsertSpan

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.Span
                  multivalent.std.span.ActionSpan
                      multivalent.std.span.InsertSpan

All Implemented Interfaces:
  ContextListener, EventListener, java.util.EventListener

public class InsertSpan
extends ActionSpan

Copy editor markup: insert text at point.

Version:
  $Revision: 1.3 $ $Date: 2002/02/02 13:16:27 $

Field Summary
`static java.lang.String` | `ATTR_INSERT`

Fields inherited from class multivalent.std.span.ActionSpan
`ATTR_TITLE, inmediasres_`

Fields inherited from class multivalent.Span
`GI_END, GI_START, MSG_DELETE, MSG_EDIT, MSG_MORPH, MSG_UNATTACHED, pend, pstart`

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Fields inherited from interface multivalent.ContextListener
`LITTLE, LOT, PRIORITY_LENS, PRIORITY_MAX, PRIORITY_MIN, PRIORITY_SELECTION, PRIORITY_SPAN, PRIORITY_STRUCT, SOME`

Constructor Summary
`InsertSpan()`

Method Summary
`boolean` | `action()` Subclasses can make `public` if desired.
`boolean` | `appearance(Context cx, boolean all)` Resets the graphics context every time the object is added to or dropped from the set active over the portion of the document being drawn.
`boolean` | `paintBefore(Context cx, Node node)` A tree walk protocol, called before observed node has been painted.
`void` | `restore(ESISNode n, java.util.Map<java.lang.String,java.lang.Object> attr, Layer layer)` Given ESIS subtree, pluck class-specific information from attributes, call super.restore() for locations.
`ESISNode` | `save()` Stuff instance state into attributes; if save buffer not null, write out corresponding XML.
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Recognize "deleteSpan " and "morphSpan ".
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` Navigate to referring links in same document, in span's popup menu.

Methods inherited from class multivalent.std.span.ActionSpan
`event, eventAfter`

Methods inherited from class multivalent.Span
`buildAfter, checkRep, close, closeAll, contains, contains, destroy, getEnd, getPriority, getStart, isSet, markDirty, move, move, move, moveq, moveq, moveq, moveqSwap, open, repaint, repaint, stretch, toString`

Methods inherited from class multivalent.Behavior
`buildBefore, clipboardAfter, clipboardBefore, createUI, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, putPreference, redo, restoreChildren, setName, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTR_INSERT

    public static final java.lang.String ATTR_INSERT

See Also:
  Constant Field Values

Constructor Detail

### InsertSpan

    public InsertSpan()

Method Detail

### appearance

    public boolean appearance(Context cx,
                              boolean all)

  Description copied from interface: `ContextListener`
  Resets the graphics context every time the object is added to or dropped from the set active over the portion of the document being drawn. These behaviors can come from the style sheet, be ad hoc spans, be lenses, or come from elsewhere. Should be fast.

  Specified by:
    `appearance` in interface `ContextListener`
  Overrides:
    `appearance` in class `Span`
    `all` - all attributes or exclude those that are not inherited

### paintBefore

    public boolean paintBefore(Context cx,
                               Node node)

  Description copied from class: `Behavior`
  A tree walk protocol, called before observed node has been painted. Called in same coordinate space as node's painting. Can be used draw special background, but usual background setting is done by spans or style sheets.

  Overrides:
    `paintBefore` in class `Behavior`
  Returns:
    `true` to short-circuit to paintAfter at that node, bypassing painting of the subtree.

### action

    public boolean action()

  Description copied from class: `ActionSpan`
  Subclasses can make `public` if desired. Maybe just send event instead.

  Specified by:
    `action` in class `ActionSpan`

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  Navigate to referring links in same document, in span's popup menu.

  Overrides:
    `semanticEventBefore` in class `Span`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Description copied from class: `Span`
  Recognize "deleteSpan " and "morphSpan ".

  Overrides:
    `semanticEventAfter` in class `Span`

### save

    public ESISNode save()

  Description copied from class: `Span`
  Stuff instance state into attributes; if save buffer not null, write out corresponding XML. Subclass should override if have interesting content (can stuff content into attr then super.save()). If span is not attached to tree at save time, its old attachment points are retained. This way, spans that can't be attached presently can be tried again without degradation.

  Overrides:
    `save` in class `Span`

### restore

    public void restore(ESISNode n,
                        java.util.Map<java.lang.String,java.lang.Object> attr,
                        Layer layer)

  Description copied from class: `Span`
  Given ESIS subtree, pluck class-specific information from attributes, call super.restore() for locations. Attributes named `start` and `end` are reserved to hold Robust Location data.

  Overrides:
    `restore` in class `Span`
  See Also:
    `RobustLocation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD